Page MenuHomePhabricator

Cant hover bars and see tooltips in the alternate SliderView
Closed, ResolvedPublic

Description

In the area where the pointer lines cross the revision bars, the hover effect of the bars does not work anymore. See

This is due to the fact, that the div container of the lines is now shown above the bars to draw the line through to the pointers.

We could move the lines back to the background and instead let them end at the end of the bars with a little colored border at the bottom of the bar as in the original mock with the blue bar in https://phabricator.wikimedia.org/T160410

See:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2017, 1:03 PM
Restricted Application added a project: Design. · View Herald TranscriptApr 10 2017, 8:36 AM
WMDE-Fisch updated the task description. (Show Details)Apr 10 2017, 10:46 AM
WMDE-Fisch moved this task from Proposed to Sprint ready on the WMDE-Technical-Wishes-Team board.

Change 347365 had a related patch set uploaded (by WMDE-Fisch):
[mediawiki/extensions/RevisionSlider@master] Fix bar hover with pointer lines

https://gerrit.wikimedia.org/r/347365

I am unsure, if the connection between revision and dot is still clear. We could also use [[ http://stackoverflow.com/questions/1009753/pass-mouse-events-through-absolutely-positioned-element/6441884?noredirect=1#comment71168076_6441884 | css pointer-events:none ]] (global support at 90 something percent)

Also, what does Lea think?

Change 347365 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Fix bar hover with pointer lines

https://gerrit.wikimedia.org/r/347365

WMDE-Fisch closed this task as Resolved.May 3 2017, 8:53 AM
WMDE-Fisch removed a project: Patch-For-Review.